Bug 175924 - update of net/miniupnpd and net/miniupnpc to 1.8
Summary: update of net/miniupnpd and net/miniupnpc to 1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-07 13:30 UTC by Kostik Belousov
Modified: 2013-03-03 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.81 KB, patch)
2013-02-07 13:30 UTC, Kostik Belousov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kostik Belousov 2013-02-07 13:30:00 UTC
Update both daemon and client of miniupnp to 1.8.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-02-07 13:30:12 UTC
Maintainer of net/miniupnpd,

Please note that PR ports/175924 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175924

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-02-07 13:30:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Tor Halvard Furulund 2013-02-07 19:00:32 UTC
Hello,

I have submitted a pr ports/175928 that is to prefer over the miniupnpd part of ports/175924.
For me it looks like ports/175924 is mostly focused on miniupnpc, and that the miniupnpd-part was added like a quick bonus.

Please let the maintainer of net/miniupnpc (dinox@FreeBSD.org) concider that part of the pr, and ignore the net/miniupnpd-part of it in favor of ports/175928.

(I incorrectly wrote update to 1.7 in the synopsis of ports/175928 but it is of course 1.8.)

--
Best regards,
Tor Halvard Furulund
Maintainer of net/miniupnpd
Comment 4 Chris Rees freebsd_committer 2013-02-08 18:36:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Hi Dirk, please would you take a look at the client part of the patch?
Comment 5 Dirk Meyer freebsd_committer 2013-02-12 18:37:56 UTC
State Changed
From-To: feedback->analyzed


New new API version breaks all clients using this lib. 
I will work on patches for some clients before updating the port.
Comment 6 dfilter service freebsd_committer 2013-03-03 21:10:02 UTC
Author: dinoex
Date: Sun Mar  3 21:09:54 2013
New Revision: 313380
URL: http://svnweb.freebsd.org/changeset/ports/313380

Log:
  - update to 1.8
  PR:		175924
  Submitted by:	Konstantin Belousov

Modified:
  head/net/miniupnpc/Makefile
  head/net/miniupnpc/distinfo
  head/net/miniupnpc/files/patch-Makefile
  head/net/miniupnpc/pkg-plist

Modified: head/net/miniupnpc/Makefile
==============================================================================
--- head/net/miniupnpc/Makefile	Sun Mar  3 21:01:37 2013	(r313379)
+++ head/net/miniupnpc/Makefile	Sun Mar  3 21:09:54 2013	(r313380)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	miniupnpc
-PORTVERSION=	1.7
+PORTVERSION=	1.8
 CATEGORIES?=	net
 MASTER_SITES=	http://miniupnp.free.fr/files/
 

Modified: head/net/miniupnpc/distinfo
==============================================================================
--- head/net/miniupnpc/distinfo	Sun Mar  3 21:01:37 2013	(r313379)
+++ head/net/miniupnpc/distinfo	Sun Mar  3 21:09:54 2013	(r313380)
@@ -1,2 +1,2 @@
-SHA256 (miniupnpc-1.7.tar.gz) = 16dd2456be9b4bf290667c00eeb38c77ad47eb2107569b2dadcfcee8c9af6337
-SIZE (miniupnpc-1.7.tar.gz) = 68327
+SHA256 (miniupnpc-1.8.tar.gz) = bc5f73c7b0056252c1888a80e6075787a1e1e9112b808f863a245483ff79859c
+SIZE (miniupnpc-1.8.tar.gz) = 70624

Modified: head/net/miniupnpc/files/patch-Makefile
==============================================================================
--- head/net/miniupnpc/files/patch-Makefile	Sun Mar  3 21:01:37 2013	(r313379)
+++ head/net/miniupnpc/files/patch-Makefile	Sun Mar  3 21:09:54 2013	(r313380)
@@ -1,18 +1,36 @@
-_POSIX_C_SOURCE hides declarations of things like snprintf()...
-
---- Makefile	2012-05-01 16:11:49.000000000 -0400
-+++ Makefile	2012-06-07 13:45:54.000000000 -0400
-@@ -27,5 +27,5 @@
+--- Makefile.orig	2013-01-28 12:10:25.000000000 +0200
++++ Makefile	2013-02-07 15:19:04.788319388 +0200
+@@ -35,7 +35,7 @@
  CFLAGS += -fno-common
  CFLAGS += -DMINIUPNPC_SET_SOCKET_TIMEOUT
+ CFLAGS += -DMINIUPNPC_GET_SRC_ADDR
 -CFLAGS += -D_BSD_SOURCE -D_POSIX_C_SOURCE=1
 +CFLAGS += -D_BSD_SOURCE
  CFLAGS += -ansi
  # -DNO_GETADDRINFO
-@@ -102,5 +102,5 @@
- INSTALLDIRLIB = $(INSTALLPREFIX)/lib
+ INSTALL = install
+@@ -80,7 +80,7 @@
+   SONAME = $(basename $(SHAREDLIBRARY)).$(APIVERSION).dylib
+   CFLAGS := -DMACOSX -D_DARWIN_C_SOURCE $(CFLAGS)
+ else
+-ifeq ($(OS), Linux)
++ifeq ($(OS), FreeBSD)
+   SHAREDLIBRARY = libminiupnpc.so
+   SONAME = $(SHAREDLIBRARY).$(APIVERSION)
+ endif
+@@ -110,13 +110,11 @@
+ TESTIGDDESCPARSE := $(TESTIGDDESCPARSE) minissdpc.o
+ endif
+ 
+-LIBDIR ?= lib
+ # install directories
+-INSTALLPREFIX ?= $(PREFIX)/usr
+ INSTALLDIRINC = $(INSTALLPREFIX)/include/miniupnpc
+-INSTALLDIRLIB = $(INSTALLPREFIX)/$(LIBDIR)
++INSTALLDIRLIB = $(INSTALLPREFIX)/lib
  INSTALLDIRBIN = $(INSTALLPREFIX)/bin
 -INSTALLDIRMAN = $(INSTALLPREFIX)/share/man
 +INSTALLDIRMAN = $(INSTALLPREFIX)/man
  
  FILESTOINSTALL = $(LIBRARY) $(EXECUTABLES)
+ ifneq ($(OS), AmigaOS)

Modified: head/net/miniupnpc/pkg-plist
==============================================================================
--- head/net/miniupnpc/pkg-plist	Sun Mar  3 21:01:37 2013	(r313379)
+++ head/net/miniupnpc/pkg-plist	Sun Mar  3 21:09:54 2013	(r313380)
@@ -11,5 +11,5 @@ include/miniupnpc/upnpreplyparse.h
 include/miniupnpc/upnperrors.h
 lib/libminiupnpc.a
 lib/libminiupnpc.so
-lib/libminiupnpc.so.8
+lib/libminiupnpc.so.9
 @dirrm include/miniupnpc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Dirk Meyer freebsd_committer 2013-03-03 22:39:53 UTC
State Changed
From-To: analyzed->closed


committed, thanks.